Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.permissionsmanager.commands
Class AssignPermissions

    java.lang.Object
      org.jasig.portal.channels.permissionsmanager.commands.AssignPermissions

All Implemented Interfaces:
  IPermissionCommand

    public class AssignPermissions

extends java.lang.Object
implements IPermissionCommand

An IPermissionCommand implementation that processes form data from the CPermissionsManager matrix screen and records all permissions

Version:
  $Revision: 1.13 $
Author:
  Alex Vigdor

Nested Class Summary
`private class` | `AssignPermissions.PermissionHolder`

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`AssignPermissions()` Creates new AssignPermissions

Method Summary
`void` | `execute(PermissionsSessionData session)`
`private IPermission[]` | `pHolder2AddArray(IUpdatingPermissionManager upm, java.util.ArrayList holders)`
`private IPermission[]` | `pHolder2DeleteArray(IUpdatingPermissionManager upm, java.util.ArrayList holders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### AssignPermissions

    public AssignPermissions()

  Creates new AssignPermissions

Method Detail

### execute

    public void execute(PermissionsSessionData session)
                 throws java.lang.Exception

  Specified by:
    `execute` in interface `IPermissionCommand`
  Throws:
    `java.lang.Exception`

### pHolder2DeleteArray

    private IPermission[] pHolder2DeleteArray(IUpdatingPermissionManager upm,
                                              java.util.ArrayList holders)

### pHolder2AddArray

    private IPermission[] pHolder2AddArray(IUpdatingPermissionManager upm,
                                           java.util.ArrayList holders)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD